PETSc version 3.15.5
Fix/Edit manual page

# DMTSGetI2Jacobian

get TS implicit Jacobian evaluation function for 2nd order systems

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetI2Jacobian(DM dm,TSI2Jacobian *jac,void **ctx)

Not Collective

### Input Argument

| dm | - DM to be used with TS

### Output Arguments

| jac | - Jacobian evaluation function, see TSSetI2Jacobian() for calling sequence
| ctx | - context for Jacobian evaluation

### Note

TSGetI2Jacobian() is normally used, but it calls this function internally because the user context is actually associated with the DM.

### See Also

DMTSSetI2Jacobian(),TSGetI2Jacobian()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages